%global momorel 3
%global iwl5000_v0 5.4.A.11
%global iwl5000_v1 8.24.2.12
%global iwl5000_list %{iwl5000_v0} %{iwl5000_v1}
%global srcname iwlwifi-5000-ucode

Summary: Firmware for Intel(R) PRO/Wireless 5000 A/G/N network adaptors
Name: iwl5000-firmware
Version: %{iwl5000_v1}
Release: %{momorel}m%{?dist}
License: "Redistributable, no modification permitted"
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%{srcname}-%{iwl5000_v0}.tar.gz
Source1: http://intellinuxwireless.org/iwlwifi/downloads/%{srcname}-%{iwl5000_v1}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: sed
BuildArch: noarch
# This is so that the noarch packages don't appear for these archs
ExcludeArch: ppc ppc64

%description
This package contains the firmware required by the iwl5000 driver for Linux.
Usage of the firmware is subject to the terms and conditions contained
inside the provided LICENSE file. Please read it carefully.

%prep
%setup -q -n %{srcname}-%{iwl5000_v0} -a1

# move docs
%{__mv} LICENSE.iwlwifi-5000-ucode LICENSE
%{__mv} README.iwlwifi-5000-ucode README

# fix end-of-line encoding
%{__sed} -i 's/\r//' LICENSE README

# put timestamp back (it's the same on all files)
touch -r LICENSE README

%build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/lib/firmware
%{__install} -p -m 0644 iwlwifi-5000*.ucode \
    %{buildroot}/lib/firmware/
%{__install} -p -m 0644 %{srcname}-%{iwl5000_v1}/iwlwifi-5000*.ucode \
    %{buildroot}/lib/firmware/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*ucode

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (8.24.2.12-3m)
- full rebuild for mo7 release

* Sun Nov 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (8.24.2.12-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat May 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8.24.2.12-1m)
- version 8.24.2.12

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.4.A.11-2m)
- rebuild against rpm-4.6

* Wed Aug  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.4.A.11-1m)
- initial package for Momonga Linux
